If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

src attributes for apps stats

RESOLVED FIXED in 2012-07-12

Status

Marketplace
Consumer Pages
P3
normal
RESOLVED FIXED
6 years ago
5 years ago

People

(Reporter: krupa, Assigned: ngoke)

Tracking

2012-07-12
Points:
---
Dependency tree / graph

Details

(Reporter)

Description

6 years ago
We need to have src attributes to track:

a) app downloads
b) app purchases(?)

fligtar is okay with using the same format as AMO.
Assignee: nobody → dspasovski
Target Milestone: --- → 6.4.8
Homepage: ?src=mkt-home
Category browse: ?src=mkt-cat
Detail page: ?src=mkt-detail
Search results: ?src=mkt-search
Search suggestions: ?src=mkt-ss
Target Milestone: 6.4.8 → 6.4.9
Priority: -- → P3
Assignee: dspasovski → nobody
Target Milestone: 6.4.9 → 6.5.0

Comment 2

6 years ago
This is the same as data pings.
Status: NEW → RESOLVED
Last Resolved: 6 years ago
Resolution: --- → DUPLICATE
Duplicate of bug: 742785

Comment 3

6 years ago
src is being passed to metrics, we should set these up in the code as per @cvan's suggestion.
Assignee: nobody → amckay
Status: RESOLVED → REOPENED
Resolution: DUPLICATE → ---

Comment 4

6 years ago
The src is there, but this passes them through to the record and install method.
Status: REOPENED → RESOLVED
Last Resolved: 6 years ago6 years ago
Resolution: --- → FIXED
We are not passing `src` when we record the app installation: https://github.com/mozilla/zamboni/blob/master/mkt/detail/views.py#L48

We should do that until we have metrics logging all this.
Status: RESOLVED → REOPENED
Resolution: FIXED → ---

Comment 6

5 years ago
I've noticed that too. But note you don't need to pass src:

https://github.com/mozilla/zamboni/blob/master/lib/metrics/__init__.py#L35

So would need to look at that in more detail.

Comment 7

5 years ago
[16/May/2012 02:50:50] "GET /en-US/app/marble-run-1/?src=search HTTP/1.0" 200 5400
02:50:54 z.metrics:INFO 7c25d2ae-fd2a-4482-8424-f5a0bf05d461|install|{"app-domain": "dekkostudios.com", "locale": "en-US", "src": "search", "app-id": 26, "user-agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:15.0) Gecko/15.0 Firefox/15.0a1"} :/Users/andy/sandboxes/zamboni/lib/metrics/__init__.py:23
[16/May/2012 02:50:55] "POST /en-US/app/marble-run-1/record?src=search HTTP/1.0" 200 870

As long as its in the page that generates the button, it gets passed. Note its in the button JSON.

{"recordUrl": "/en-US/app/marble-run-1/record?src=search"..

Please re-open when you've got a particular example where it doesn't work and we'll fix that.
Status: REOPENED → RESOLVED
Last Resolved: 6 years ago5 years ago
Resolution: --- → FIXED
We're not setting ?src= from the Homepage, Category Browse, Detail Page, etc. per comment 1.
Assignee: amckay → ngoke
Component: Public Pages → Consumer Pages
Product: addons.mozilla.org → Marketplace
QA Contact: web-ui → consumer-pages
Target Milestone: 6.5.0 → 2012-06-28
Version: unspecified → 1.0
Reopening per comment 8.
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
Target Milestone: 2012-06-28 → 2012-07-05
Target Milestone: 2012-07-05 → 2012-07-12
(Assignee)

Comment 10

5 years ago
https://github.com/mozilla/zamboni/commit/a32b7c3c4d029cb79a29f2dfc8c4cee6efafa4ff
Status: REOPENED → RESOLVED
Last Resolved: 5 years ago5 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.